## org.w3c.jigsaw.filters
Class CacheFilter

    java.lang.Object
      |
      +--org.w3c.tools.resources.AttributeHolder
            |
            +--org.w3c.tools.resources.Resource
                  |
                  +--org.w3c.tools.resources.FramedResource
                        |
                        +--org.w3c.tools.resources.ResourceFrame
                              |
                              +--org.w3c.tools.resources.ResourceFilter
                                    |
                                    +--org.w3c.jigsaw.filters.CacheFilter

public class CacheFilter
extends org.w3c.tools.resources.ResourceFilter

Field Summary
`protected static int` | `ATTR_DEFAULT_MAX_AGE`
`protected static int` | `ATTR_MAX_ENTRIES`
`protected static int` | `ATTR_MAX_SIZE`
`protected org.w3c.jigsaw.filters.Cache` | `cache`
`protected static java.lang.String` | `STATE_TAG`

Fields inherited from class org.w3c.tools.resources.ResourceFrame
`filterClass, frameListener, resource`

Fields inherited from class org.w3c.tools.resources.FramedResource
`ATTR_OID, attrListener, debugEvent, event_disabled, framesRef, structListener`

Fields inherited from class org.w3c.tools.resources.Resource
`ATTR_CONTEXT, ATTR_HELP_URL, ATTR_IDENTIFIER, ATTR_LAST_MODIFIED, ATTR_PARENT, ATTR_RESOURCE_FRAMES, ATTR_STORE_ENTRY, ATTR_URL`

Fields inherited from class org.w3c.tools.resources.AttributeHolder
`attributes, slowpickle, values`

Constructor Summary
`CacheFilter()`

Method Summary
`int` | `getDefaultMaxAge()`
`int` | `getMaxEntries()`
`int` | `getMaxSize()`
`org.w3c.tools.resources.ReplyInterface` | `ingoingFilter(org.w3c.tools.resources.RequestInterface req, org.w3c.tools.resources.FilterInterface[] filters, int fidx)`
`org.w3c.tools.resources.ReplyInterface` | `outgoingFilter(org.w3c.tools.resources.RequestInterface req, org.w3c.tools.resources.ReplyInterface rep, org.w3c.tools.resources.FilterInterface[] filters, int fidx)`

Methods inherited from class org.w3c.tools.resources.ResourceFilter
`exceptionFilter, getTargetResource, ingoingFilter, lookup, outgoingFilter, outputFilter`

Methods inherited from class org.w3c.tools.resources.ResourceFrame
`addFrameEventListener, attributeChanged, checkRequest, eventDisabled, fireFrameEvent, frameModified, getFilters, getFilters, getFrameReference, getResource, getResourceReference, getSpaceEntry, getURLPath, lookupFilters, lookupFrames, perform, postFrameEvent, processEvent, registerResource, removeFrameEventListener, setValue, unregisterResource, updateDefaultChildAttributes`

Methods inherited from class org.w3c.tools.resources.FramedResource

`addAttributeChangedListener, addStructureChangedListener, collectFramesReference, delete, disableEvent, displayEvent, enableEvent, fireAttributeChangeEvent, fireStructureChangedEvent, fireStructureChangedEvent, frameAdded, frameRemoved, getClone, getFrame, getFrame, getFrameReference, getFrameReference, getFramesReference, getOid, initialize, markModified, notifyUnload, performFrames, postAttributeChangeEvent, postEvent, postStructureChangedEvent, postStructureChangedEvent, registerFrame, registerFrameIfNone, removeAttributeChangedListener, removeStructureChangedListener, unregisterFrame`

Methods inherited from class org.w3c.tools.resources.Resource
`acceptUnload, checkMultipleLock, collectFrames, getContext, getFrame, getFrames, getHelpURL, getHelpURL, getIdentifier, getLastModified, getParent, getServer, getSpace, getStoreEntry, getValue, getValue, isInitialized, setContext, setContext, setValue, updateAttributes`

Methods inherited from class org.w3c.tools.resources.AttributeHolder
`definesAttribute, definesAttribute, getAttributes, getBoolean, getChar, getClone, getClone, getDouble, getFloat, getInt, getLong, getString, getValue, initialize, lookupAttribute, pickle, print, setBoolean, setChar, setDouble, setFloat, setInt, setLong, setString, setValue, unpickle, unpickle, unpickle, unpickleInstance, unpickleInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cache

    protected org.w3c.jigsaw.filters.Cache cache

### STATE_TAG

    protected static final java.lang.String STATE_TAG

### ATTR_MAX_SIZE

    protected static int ATTR_MAX_SIZE

### ATTR_MAX_ENTRIES

    protected static int ATTR_MAX_ENTRIES

### ATTR_DEFAULT_MAX_AGE

    protected static int ATTR_DEFAULT_MAX_AGE

Constructor Detail

### CacheFilter

    public CacheFilter()

Method Detail

### getMaxSize

    public int getMaxSize()

### getMaxEntries

    public int getMaxEntries()

### getDefaultMaxAge

    public int getDefaultMaxAge()

### ingoingFilter

    public org.w3c.tools.resources.ReplyInterface ingoingFilter(org.w3c.tools.resources.RequestInterface req,
                                                                org.w3c.tools.resources.FilterInterface[] filters,
                                                                int fidx)
                                                         throws org.w3c.tools.resources.ProtocolException

  Returns:
    A Reply instance, if the filter did know how to answer the request without further processing, null otherwise.
  Throws:
    org.w3c.tools.resources.ProtocolException - If processing should be interrupted, because an abnormal situation occured.
  Overrides:
    ingoingFilter in class org.w3c.tools.resources.ResourceFilter

### outgoingFilter

    public org.w3c.tools.resources.ReplyInterface outgoingFilter(org.w3c.tools.resources.RequestInterface req,
                                                                 org.w3c.tools.resources.ReplyInterface rep,
                                                                 org.w3c.tools.resources.FilterInterface[] filters,
                                                                 int fidx)
                                                          throws org.w3c.tools.resources.ProtocolException

  Parameters:
    `request` - The original request.
    `reply` - It's original reply.
  Returns:
    A Reply instance, or null if processing should continue normally.
  Throws:
    org.w3c.tools.resources.ProtocolException - If processing should be interrupted because an abnormal situation occured.
  Overrides:
    outgoingFilter in class org.w3c.tools.resources.ResourceFilter